Projects

Get project list of an organization

GET
/api/v1/projects

Get the list of all projects within the current organization.

Authorization

AccessToken
Authorization<token>

Use access token to access this API. Example: "Authorization: api-MzQ..."

In: header

Header Parameters

Organization?string

The organization ID associated with the request. Some APIs require this header to identify the organization context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Workspace?string

The workspace ID associated with the request. Some APIs require this header to identify the workspace context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Response Body

application/json

curl -X GET "https://example.com/api/v1/projects"
{  "success": true,  "errors": [    "string"  ],  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "key": "string",      "environments": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",          "name": "string",          "key": "string",          "description": "string",          "secrets": [            {              "id": "string",              "name": "string",              "type": "string",              "value": "string"            }          ],          "settings": {            "requireChangeComment": true          }        }      ]    }  ]}